#
#	@(#) tvi.por 1.1 87/09/15 
#
#	Copyright (C) The Santa Cruz Operation, 1985, 1986, 1987.
#	This Module contains Proprietary Information of
#	The Santa Cruz Operation and Microsoft Corportation
#	and should be treated as Confidential.
#

# SCO Mapchan File
#
# The descriptions in this file are provided for informational
# purposes only, and are intended for the exclusive use of the
# clients, customers, and licensees of The Santa Cruz Operation,
# Inc.  The Santa Cruz Operation does not warrant the correctness
# or suitability for any purpose of any information contained
# herein.

# This map file is for the Televideo TVI924 terminal, set up to use the
# Portuguese character set.
#
# Both input and output mapping is handled.  Compose key sequences are
# provided to allow entry of the full ISO 8859 set.

input
'@'	0xa7	# section sign
'['	0xc3	# A tilde
'\\'	0xc7	# C cedilla
']'	0xd5	# O tilde
'{'	0xe3	# a tilde
'|'	0xe7	# c cedilla
'}'	0xf5	# o tilde
'~'	0xb0	# degree sign

output
0xa0	' '			# no break space
0xa1	'!'			# inverted ! (approximation)
0xa2	'c'			# cent sign (approximation)
0xa3	'#'			# pound sign (approximation)
0xa4	'x'			# currency sign (approximation)
0xa5	'y'			# yen sign (approximation)
0xa6	'I'			# broken bar (approximation)
0xa7	'@'			# section sign
0xa8	'"'			# diaresis (approximation)
0xa9	'c'			# copyright sign (approximation)
0xaa	'a'			# feminine ordinal indicator (approximation)
0xab	'<'			# angle quotation mark left (approximation)
0xac	'^'			# not sign (approximation)
0xad	'-'			# soft hyphen
0xae	'r'			# registered trade mark (approximation)
0xaf	'^'			# macron (approximation)
0xb0	'~'			# degree sign
0xb1	0x1b '$' 't' 0x1b '%'	# plus/minus sign
0xb2	'2'			# superscript 2 (approximation)
0xb3	'3'			# superscript 3 (approximation)
0xb4	'\''			# acute accent (approximation)
0xb5	0x1b '$' '|' 0x1b '%'	# micro sign
0xb6	'p'			# paragraph sign (approximation)
0xb7	0x1b '$' 's' 0x1b '%'	# middle dot
0xb8	','			# cedilla (approximation)
0xb9	'1'			# superscript 1 (approximation)
0xba	'o'			# masculine ordinal indicator (approximation)
0xbb	'>'			# angle quotation mark right (approximation)
0xbc	'/'			# fraction one-quarter (approximation)
0xbd	'/'			# fraction one-half (approximation)
0xbe	'/'			# fraction three-quarter (approximation)
0xbf	'?'			# inverted ? (approximation)
0xc0	'A'			# A grave (approximation)
0xc1	'A'			# A acute (approximation)
0xc2	'A'			# A caret (approximation)
0xc3	'['			# A tilde
0xc4	'A'			# A umlaut (approximation)
0xc5	'A'			# A ring (approximation)
0xc6	'A'			# AE ligature (approximation)
0xc7	'\\'			# C cedilla
0xc8	'E'			# E grave (approximation)
0xc9	'E'			# E acute (approximation)
0xca	'E'			# E caret (approximation)
0xcb	'E'			# E umlaut (approximation)
0xcc	'I'			# I grave (approximation)
0xcd	'I'			# I acute (approximation)
0xce	'I'			# I caret (approximation)
0xcf	'I'			# I umlaut (approximation)
0xd0	'D'			# capital Icelandic eth (approximation)
0xd1	'N'			# N tilde (approximation)
0xd2	'O'			# O grave (approximation)
0xd3	'O'			# O acute (approximation)
0xd4	'O'			# O caret (approximation)
0xd5	']'			# O tilde
0xd6	'O'			# O umlaut (approximation)
0xd7	'x'			# multiply operator (approximation)
0xd8	0x1b '$' '}' 0x1b '%'	# O slash
0xd9	'U'			# U grave (approximation)
0xda	'U'			# U acute (approximation)
0xdb	'U'			# U caret (approximation)
0xdc	'U'			# U umlaut (approximation)
0xdd	'Y'			# Y acute (approximation)
0xde	'P'			# capital Icelandic thorn (approximation)
0xdf	0x1b '$' 'y' 0x1b '%'	# sharp s
0xe0	'a'			# a grave (approximation)
0xe1	'a'			# a acute (approximation)
0xe2	'a'			# a caret (approximation)
0xe3	'{'			# a tilde
0xe4	'a'			# a umlaut (approximation)
0xe5	'a'			# a ring (approximation)
0xe6	'a'			# ae ligature (approximation)
0xe7	'|'			# c cedilla
0xe8	'e'			# e grave (approximation)
0xe9	'e'			# e acute (approximation)
0xea	'e'			# e caret (approximation)
0xeb	'e'			# e umlaut (approximation)
0xec	'i'			# i grave (approximation)
0xed	'i'			# i acute (approximation)
0xee	'i'			# i caret (approximation)
0xef	'i'			# i umlaut (approximation)
0xf0	'd'			# lowercase Icelandic eth (approximation)
0xf1	'n'			# n tilde (approximation)
0xf2	'o'			# o grave (approximation)
0xf3	'o'			# o acute (approximation)
0xf4	'o'			# o caret (approximation)
0xf5	'}'			# o tilde
0xf6	'o'			# o umlaut (approximation)
0xf7	'/'			# divide operator (approximation)
0xf8	'o'			# o slash (approximation)
0xf9	'u'			# u grave (approximation)
0xfa	'u'			# u acute (approximation)
0xfb	'u'			# u caret (approximation)
0xfc	'u'			# u umlaut (approximation)
0xfd	'y'			# y acute (approximation)
0xfe	'p'			# lowercase Icelandic thorn (approximation)
0xff	'y'			# y umlaut (approximation)

compose 0x1f	# ^_

# Firstly a minimal set of compose sequences, enabling entry of the full
# ISO 8859 character set on terminals/keyboards supporting 7-bit ASCII.
# The following characters have not been used, since they are not present
# on certain keyboards, and may not be present in the device's character
# set:  # $ @ [ \ ] ^ ` { | } ~.

'_' '_'	0x1f	# original compose key value
'+' '+'	'#'	# hash
's' '/'	'$'	# dollar
'a' 'a'	'@'	# at sign
'(' '('	'['	# left bracket
'/' '/'	92	# backslash
')' ')'	']'	# right bracket
'>' '<'	'^'	# caret
39 '<'	'`'	# grave
'(' '-'	'{'	# left brace
'/' '<'	'|'	# vertical bar
')' '-'	'}'	# right brace
'=' '='	'~'	# tilde
' ' ' '	0xa0	# no break space
'!' '!'	0xa1	# inverted !
'c' '/'	0xa2	# cent sign
'l' '-'	0xa3	# pound sign
'x' 'o'	0xa4	# currency sign
'y' '-'	0xa5	# yen sign
'/' '!'	0xa6	# broken bar
's' 'o'	0xa7	# section sign
'.' '.'	0xa8	# diaresis
'c' 'o'	0xa9	# copyright sign
'a' '_'	0xaa	# feminine ordinal indicator
'<' '<'	0xab	# angle quotation mark left
'-' '!'	0xac	# not sign
'-' '-'	0xad	# soft hyphen
'r' 'o'	0xae	# registered trade mark
'_' '<'	0xaf	# macron
'o' ' '	0xb0	# degree sign
'+' '-'	0xb1	# plus/minus sign
'2' '<'	0xb2	# superscript 2
'3' '<'	0xb3	# superscript 3
39 39	0xb4	# acute accent
'u' '/'	0xb5	# micro sign
'p' '!'	0xb6	# paragraph sign
'.' '<'	0xb7	# middle dot
',' ','	0xb8	# cedilla
'1' '<'	0xb9	# superscript 1
'o' '_'	0xba	# masculine ordinal indicator
'>' '>'	0xbb	# angle quotation mark right
'1' '4'	0xbc	# fraction one-quarter
'1' '2'	0xbd	# fraction one-half
'3' '4'	0xbe	# fraction three-quarter
'?' '?'	0xbf	# inverted ?
'A' '('	0xc0	# A grave
'A' 39	0xc1	# A acute
'A' '>'	0xc2	# A caret
'A' '='	0xc3	# A tilde
'A' '"'	0xc4	# A umlaut
'A' '*'	0xc5	# A ring
'A' 'E'	0xc6	# AE ligature
'C' ','	0xc7	# C cedilla
'E' '('	0xc8	# E grave
'E' 39	0xc9	# E acute
'E' '>'	0xca	# E caret
'E' '"'	0xcb	# E umlaut
'I' '('	0xcc	# I grave
'I' 39	0xcd	# I acute
'I' '>'	0xce	# I caret
'I' '"'	0xcf	# I umlaut
'D' '-'	0xd0	# capital Icelandic eth
'N' '='	0xd1	# N tilde
'O' '('	0xd2	# O grave
'O' 39	0xd3	# O acute
'O' '>'	0xd4	# O caret
'O' '='	0xd5	# O tilde
'O' '"'	0xd6	# O umlaut
'x' '-'	0xd7	# multiply operator
'O' '/'	0xd8	# O slash
'U' '('	0xd9	# U grave
'U' 39	0xda	# U acute
'U' '>'	0xdb	# U caret
'U' '"'	0xdc	# U umlaut
'Y' 39	0xdd	# Y acute
'P' '1'	0xde	# capital Icelandic thorn
's' 's'	0xdf	# sharp s
'a' '('	0xe0	# a grave
'a' 39	0xe1	# a acute
'a' '>'	0xe2	# a caret
'a' '='	0xe3	# a tilde
'a' '"'	0xe4	# a umlaut
'a' '*'	0xe5	# a ring
'a' 'e'	0xe6	# ae ligature
'c' ','	0xe7	# c cedilla
'e' '('	0xe8	# e grave
'e' 39	0xe9	# e acute
'e' '>'	0xea	# e caret
'e' '"'	0xeb	# e umlaut
'i' '('	0xec	# i grave
'i' 39	0xed	# i acute
'i' '>'	0xee	# i caret
'i' '"'	0xef	# i umlaut
'd' '-'	0xf0	# lowercase Icelandic eth
'n' '='	0xf1	# n tilde
'o' '('	0xf2	# o grave
'o' 39	0xf3	# o acute
'o' '>'	0xf4	# o caret
'o' '='	0xf5	# o tilde
'o' '"'	0xf6	# o umlaut
':' '-'	0xf7	# divide operator
'o' '/'	0xf8	# o slash
'u' '('	0xf9	# u grave
'u' 39	0xfa	# u acute
'u' '>'	0xfb	# u caret
'u' '"'	0xfc	# u umlaut
'y' 39	0xfd	# y acute
'p' '1'	0xfe	# lowercase Icelandic thorn
'y' '"'	0xff	# y umlaut

# Alternative compose sequences using ^ ` and ~ characters for terminals
# which support them.

'_' '^'	0xaf	# macron
'2' '^'	0xb2	# superscript 2
'3' '^'	0xb3	# superscript 3
'.' '^'	0xb7	# middle dot
'1' '^'	0xb9	# superscript 1
'A' '`'	0xc0	# A grave
'A' '^'	0xc2	# A caret
'A' '~'	0xc3	# A tilde
'E' '`'	0xc8	# E grave
'E' '^'	0xca	# E caret
'I' '`'	0xcc	# I grave
'I' '^'	0xce	# I caret
'N' '~'	0xd1	# N tilde
'O' '`'	0xd2	# O grave
'O' '^'	0xd4	# O caret
'O' '~'	0xd5	# O tilde
'U' '`'	0xd9	# U grave
'U' '^'	0xdb	# U caret
'a' '`'	0xe0	# a grave
'a' '^'	0xe2	# a caret
'a' '~'	0xe3	# a tilde
'e' '`'	0xe8	# e grave
'e' '^'	0xea	# e caret
'i' '`'	0xec	# i grave
'i' '^'	0xee	# i caret
'n' '~'	0xf1	# n tilde
'o' '`'	0xf2	# o grave
'o' '^'	0xf4	# o caret
'o' '~'	0xf5	# o tilde
'u' '`'	0xf9	# u grave
'u' '^'	0xfb	# u caret

# Alternatives for compose sequences which are not case-sensitive

'S' '/'	'$'	# dollar
'A' 'A'	'@'	# at sign
'C' '/'	0xa2	# cent sign
'L' '-'	0xa3	# pound sign
'X' 'O'	0xa4	# currency sign
'Y' '-'	0xa5	# yen sign
'S' 'O'	0xa7	# section sign
'C' 'O'	0xa9	# copyright sign
'A' '_'	0xaa	# feminine ordinal indicator
'R' 'O'	0xae	# registered trade mark
'O' ' '	0xb0	# degree sign
'U' '/'	0xb5	# micro sign
'P' '!'	0xb6	# paragraph sign
'O' '_'	0xba	# masculine ordinal indicator
'X' '-'	0xd7	# multiply operator
'S' 'S'	0xdf	# sharp s

# Further alternative compose sequences

'S' '|'	'$'	# dollar
's' '|'	'$'	# dollar
'/' '^'	'|'	# vertical bar
'C' '|'	0xa2	# cent sign
'c' '|'	0xa2	# cent sign
'L' '='	0xa3	# pound sign
'l' '='	0xa3	# pound sign
'Y' '='	0xa5	# yen sign
'y' '='	0xa5	# yen sign
'|' '/'	0xa6	# broken bar
'|' '|'	0xa6	# broken bar
'S' '!'	0xa7	# section sign
's' '!'	0xa7	# section sign
'A' '-'	0xaa	# feminine ordinal indicator
'a' '-'	0xaa	# feminine ordinal indicator
'-' '|'	0xac	# not sign
'-' '<'	0xaf	# macron
'-' '^'	0xaf	# macron
'O' '-'	0xba	# masculine ordinal indicator
'o' '-'	0xba	# masculine ordinal indicator
'D' 'H'	0xd0	# capital Icelandic eth
'T' 'H'	0xde	# capital Icelandic thorn
'd' 'h'	0xf0	# lowercase Icelandic eth
't' 'h'	0xfe	# lowercase Icelandic thorn

beep
